# update

fun update (config: UpdateConfig ): String (source)

Updates parameters in the specified Bitlink.

See the Bit.ly API for more information.

#### Return

Constants.TRUE if the update was successful, Constants.FALSE otherwise.

#### Parameters

config

The parameters' configuration.

fun update (bitlink: String , title: String = Constants.EMPTY, archived: Boolean = false, tags: Array < String > = emptyArray(), deeplinks: UpdateDeeplinks = UpdateDeeplinks(), toJson: Boolean = false): String (source)

Updates parameters in the specified Bitlink.

See the Bit.ly API for more information.

#### Return

Constants.TRUE if the update was successful, Constants.FALSE otherwise.

#### Parameters

bitlink

A Bitlink made of the domain and hash.

toJson

Returns the full JSON response if `true`.